System requirements


  • To ensure proper operation of Kaspersky Endpoint Security, your computer must meet the following requirements:

    Minimum general requirements:

    • 2 GB of free disk space on the hard drive;
    • CPU:
      • Workstation: 1 GHz;
      • Server: 1.4 GHz;
      • Support for the SSE2 instruction set.
    • RAM:
      • Workstation (x86): 1 GB;
      • Workstation (x64): 2 GB;
      • Server: 2 GB;
      • Server to install the application as part of Kaspersky Anti Targeted Attack Platform (EDR): 8 GB.

    Workstations

    Supported operating systems for workstations:

    • Windows 7 Home / Professional / Ultimate / Enterprise Service Pack 1 or later;
    • Windows 8 Professional / Enterprise;
    • Windows 8.1 Professional / Enterprise;
    • Windows 10 Home / Pro / Pro for Workstations / Education / Enterprise / Enterprise multi-session;
    • Windows 11 Home / Pro / Pro for Workstations / Education / Enterprise.

    For details about support for the Microsoft Windows 10 operating system, please refer to the Technical Support Knowledge Base https://support.kaspersky.com/common/compatibility/13036.

    For details about support for the Microsoft Windows 11 operating system, please refer to the Technical Support Knowledge Base https://support.kaspersky.com/common/compatibility/15778.

    Servers

    Kaspersky Endpoint Security supports core components of the application on computers running the Windows operating system for servers. You can use Kaspersky Endpoint Security for Windows instead of Kaspersky Security for Windows Server on servers and clusters of your organization (Cluster Mode). The application also supports Core Mode (see known issues https://support.kaspersky.com/help/KESWin/12.5/en-US/201943.htm).

    Supported operating systems for servers:

    • Windows Small Business Server 2011 Essentials / Standard (64-bit);

    Microsoft Small Business Server 2011 Standard (64-bit) is supported only if Service Pack 1 for Microsoft Windows Server 2008 R2 is installed.

    • Windows MultiPoint Server 2011 (64-bit);
    • Windows Server 2008 R2 Foundation / Standard / Enterprise / Datacenter Service Pack 1 or later;
    • Windows Web Server 2008 R2 Service Pack 1 or later;
    • Windows Server 2012 Foundation / Essentials / Standard / Datacenter (including Core Mode);
    • Windows Server 2012 R2 Foundation / Essentials / Standard / Datacenter (including Core Mode);
    • Windows Server 2016 Essentials / Standard / Datacenter (including Core Mode);
    • Windows Server 2019 Essentials / Standard / Datacenter (including Core Mode);
    • Windows Server 2022 Standard / Datacenter / Datacenter: Azure Edition (including Core Mode).

    For details about support for the Microsoft Windows Server 2016 and Microsoft Windows Server 2019 operating systems, please refer to the Technical Support Knowledge Base https://support.kaspersky.com/common/compatibility/13036.

    For details about support for the Microsoft Windows Server 2022 operating system, please refer to the Technical Support Knowledge Base https://support.kaspersky.com/common/compatibility/15778.

    Unsupported operating systems for servers:

    • Windows Server 2003 Standard / Enterprise / Datacenter SP2 or later;
    • Windows Server 2003 R2 Foundation / Standard / Enterprise / Datacenter SP2 or later;
    • Windows Server 2008 Standard / Enterprise / Datacenter SP2 or later;
    • Windows Server 2008 Core Standard / Enterprise / Datacenter SP2 or later;
    • Microsoft Small Business Server 2008 Standard / Premium SP2 or later.

    Virtual platforms

    Supported virtual platforms:

    • VMware Workstation 17.0.2 Pro;
    • VMware ESXi 8.0 Update 2;
    • Microsoft Hyper-V Server 2019;
    • Citrix Virtual Apps and Desktops 7 2308;
    • Citrix Provisioning 2308;
    • Citrix Hypervisor 8.2 (Cumulative Update 1).


Looks like your connection to Beta Testing was lost, please wait while we try to reconnect.